local  Pastry = foundation.createMod();

_PastryPrefix = "PV3"
_CommonEgg = "BV1_EGG"
_CommonButter = "BV1_BUTTER"

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    Pastry:msgBox("Pastry: game version anterior to 1.6")
    return
end
Pastry:msgBox("Pastry: game version" .. foundation.getGameVersion())

function checkVersion(_name, _id, _minimalVersion)
        if (foundation.getModVersion == nil) then
            Pastry:msgBox("Pastry: Unknown mod version")
            return false
        end
        if not foundation.isModEnabled(_id) then
            Pastry:msgBox("Pastry: " .. _name .. " disabled")
            return false
        end
        if not foundation.isModLoaded(_id) then
            Pastry:msgBox("Pastry: Up the position of " .. _name .. " in the mod list of your game")
            return false
        end
        local _myVersion = foundation.getModVersion(_id)
        Pastry:msgBox("Pastry: " .. _name .. " Current version : " .. _myVersion)
        if version.cmp(_myVersion, _minimalVersion) < 0 then
            Pastry:msgBox("Pastry: Please, load the last version of " .. _name)
            return false
        end
        return true
end

if not checkVersion("Common Resources", "76daffe0-725f-4dac-b1b5-de331dfca67a", "1.1.0") then
    return
end

-- Apply building asset processor
Pastry:registerAssetProcessor("models/henhouse.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Pastry:registerAssetProcessor("models/creamery.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Pastry:registerAssetProcessor("models/pastry.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Resources and their assets (icons)
Pastry:dofile("scripts/resources.lua")
Pastry:dofile("scripts/jobs.lua")
-- workplace
Pastry:dofile("scripts/henhouse.lua")
Pastry:dofile("scripts/creamery.lua")
Pastry:dofile("scripts/pastry.lua")
